List conversation messages
curl --request GET \
--url https://api.chatling.ai/v2/chatbots/{chatbotId}/conversations/{conversationId}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chatling.ai/v2/chatbots/{chatbotId}/conversations/{conversationId}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chatling.ai/v2/chatbots/{chatbotId}/conversations/{conversationId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"pages": {
"current_page": 1,
"last_page": 1,
"per_page": 15
},
"messages": [
{
"text": "System variables are predefined variables that contain system information or can be used to perform specific actions. These variables are automatically created by the Builder.",
"role": "bot",
"is_ai_kb_response": true,
"data": {
"helpful_value": null,
"sources": [
{
"type": "webpage",
"title": "Types of variables - Chatling Documentation",
"url": "https://docs.chatling.ai/builder/variables/variable-types"
},
{
"type": "webpage",
"title": "Sidebar - Chatling Documentation",
"url": "https://docs.chatling.ai/builder/sidebar"
},
{
"type": "webpage",
"title": "What are variables? - Chatling Documentation",
"url": "https://docs.chatling.ai/builder/variables/what-are-variables"
}
]
},
"created_at": "2024-06-17T16:09:52+00:00"
},
{
"text": "What are system variables",
"role": "user",
"created_at": "2024-06-17T16:09:45+00:00"
},
{
"text": "**Hello! How can I assist you today?**\n\nIf you have any questions related to our chatbot or services, please feel free to ask. I'm here to help!",
"role": "bot",
"is_ai_kb_response": true,
"data": {
"helpful_value": null,
"sources": []
},
"created_at": "2024-06-14T15:45:39+00:00"
},
{
"text": "Hello!",
"role": "user",
"created_at": "2024-06-14T15:45:34+00:00"
}
]
}
}
Conversations
List conversation messages
Get a list of all the messages for a conversation
GET
/
chatbots
/
{chatbotId}
/
conversations
/
{conversationId}
/
messages
List conversation messages
Request parameters
Path
string
required
The chatbot ID.
string
required
The conversation ID.
Query
integer
default:"1"
The page number for pagination.
string
default:"date_desc"
The sort order. Possible values:
date_desc: Sort by date in descending order.date_asc: Sort by date in ascending order.
Response
string
The status of the request. Will be
success if the request was successful, otherwise error.object
Show properties
Show properties
object
array
Show properties
Show properties
string
The text content of the message.
string
The role of the sender of the message (bot, user, or system).
boolean
Whether the message is AI generated and uses the knowledge base.
object
The data of the message. Varies depending on the message type.
string
The date and time when the message was created.
{
"status": "success",
"data": {
"pages": {
"current_page": 1,
"last_page": 1,
"per_page": 15
},
"messages": [
{
"text": "System variables are predefined variables that contain system information or can be used to perform specific actions. These variables are automatically created by the Builder.",
"role": "bot",
"is_ai_kb_response": true,
"data": {
"helpful_value": null,
"sources": [
{
"type": "webpage",
"title": "Types of variables - Chatling Documentation",
"url": "https://docs.chatling.ai/builder/variables/variable-types"
},
{
"type": "webpage",
"title": "Sidebar - Chatling Documentation",
"url": "https://docs.chatling.ai/builder/sidebar"
},
{
"type": "webpage",
"title": "What are variables? - Chatling Documentation",
"url": "https://docs.chatling.ai/builder/variables/what-are-variables"
}
]
},
"created_at": "2024-06-17T16:09:52+00:00"
},
{
"text": "What are system variables",
"role": "user",
"created_at": "2024-06-17T16:09:45+00:00"
},
{
"text": "**Hello! How can I assist you today?**\n\nIf you have any questions related to our chatbot or services, please feel free to ask. I'm here to help!",
"role": "bot",
"is_ai_kb_response": true,
"data": {
"helpful_value": null,
"sources": []
},
"created_at": "2024-06-14T15:45:39+00:00"
},
{
"text": "Hello!",
"role": "user",
"created_at": "2024-06-14T15:45:34+00:00"
}
]
}
}
⌘I

